## org.apache.batik.transcoder
Class AbstractTranscoder

    java.lang.Object
      org.apache.batik.transcoder.TranscoderSupport
          org.apache.batik.transcoder.AbstractTranscoder

All Implemented Interfaces:
  Transcoder

Direct Known Subclasses:
  SVGTranscoder, WMFTranscoder, XMLAbstractTranscoder

public abstract class AbstractTranscoder
extends TranscoderSupport
implements Transcoder

This class can be the base class of a transcoder which may support transcoding hints and/or error handler.

Field Summary

Fields inherited from class org.apache.batik.transcoder.TranscoderSupport
`handler, hints`

Constructor Summary
`protected` `AbstractTranscoder()` Constructs a new `AbstractTranscoder`.

Methods inherited from class org.apache.batik.transcoder.TranscoderSupport
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.transcoder.Transcoder
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints, transcode`

Constructor Detail

### AbstractTranscoder

    protected AbstractTranscoder()

  Constructs a new `AbstractTranscoder`.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.